FAQ: Does eWallet work on BlackBerry OS 7 and above?

AA-01843

eWallet supports BlackBerry OS 4.2 to 7.1.  (Articles for BlackBerry 10 devices are coming soon!)

If you are using a BlackBerry device running a BlackBerry OS 4.2 to 7.1 you can install the latest version of eWallet onto your device.  Make sure you have eWallet 7.1.4 or later installed on your BlackBerry, and eWallet 7.4 or later on your PC.  If you own eWallet 7 already, download and install the latest trial version and then register with your existing registration code. 

You can download the latest versions from our download page from your Windows PC***:

eWallet Downloads

***If you have a BBOS 6 or 7 device, open this link with the browser on your BlackBerry device to install:

             http://www.iliumsoft.com/download.php?prodcode=90470072&extra=4.7

If you own eWallet 6.1, contact us for information on how to upgrade to eWallet 7.